RTEVAL(8)

NAME
rteval - evaluate latency performance of a realtime Linux system

SYNOPSIS
rteval [ -hvsLSDOZ ] [-d duration ] [-w workdir ] [-l loaddir ] [-X host ] The rteval program is used to evaluate the realtime performance of a realtime Linux kernel on a particular hardware system. There is nothing that actually requires a realtime Linux kernel, but the latency measurements will usually be pretty bad on a stock Linux kernel.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes ('--').
A summary of options is included below.

-h, --help
    print a help message

-d, --duration=DURATION
    Specify the length of the measurement run. DURATION is an integer with an optional suffix indicating the units:
       s - seconds
       m - minutes
       h - hours
       d - days
    for example to execute a ten minute run of rteval:
         $ rteval --duration=10m

-v, --verbose
    Increase the verbosity of output during the test run

-w, --workdir=WORKDIR
    Tell rteval to change directory to WORKDIR before creating any subdirectories for report files. The default WORKDIR is the directory in which rteval was started.

-l, --loaddir=LOADDIR
    Tell rteval where to find the source for the loads

--loads-cpulist=CPULIST
    List of CPUs where loads will run

--measurement-cpulist=CPULIST
    List of CPUs where measurement applciation will run

-s, --sysreport
    Have rteval run the sysreport utility after a run to gather information on the running system.

-D, --debug
    Turn on debugging prints during run

-X, --xmprpc-submit=HOST
    Have rteval send report data to HOST following the run, using XML-RPC

-Z, --summarize
    Have rteval summarize an existing report. This will not cause loads or meausurement utilities to be run.

FILES
rteval-YYYYMMDD-S This is a directory created by rteval to hold the summary.xml file as well as other files collected on the system. It is the current Year, Month, and Day, followed by a sequence number for multiple runs on the same day. summary.xml This is an XML file that contains information about a test run and the host system upon which rteval was run. dmesg This is the output of the dmesg(1) program immediately following system boot. It is copied from /var/log/dmesg.

SEE ALSO
cyclictest(8).

AUTHOR
rteval was written by Clark Williams <williams@redhat.com>

XML-RPC and database code by David Sommerseth <davids@redhat.com>